Bug 509758 - Wrong size of panel
Wrong size of panel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 16:41 EDT by Pavel Alexeev
Modified: 2009-09-24 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 14:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of problem (49.43 KB, image/png)
2009-07-05 16:41 EDT, Pavel Alexeev
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 5606 None None None Never

  None (edit)
Description Pavel Alexeev 2009-07-05 16:41:03 EDT
Created attachment 350550 [details]
Screenshot of problem

After upgrade from Fedora 9 (~XFCE 4.4) to Fedora 11 (XFCE 4.6) in panel appeared annoyed bug - size of panel do not increased to include all plugin widgets.

Please see screenshot.

Version-Release number of selected component (if applicable):
$ rpm -q xfce4-panel
xfce4-panel-4.6.1-2.fc11.i586

How reproducible:
Always

Additional info:
Please note, on this screenshot also present verve plugin (is not special marked), which width also was more than panel width.
Comment 1 Kevin Fenzi 2009-07-05 19:22:29 EDT
Which of the various date/time plugins is that? Orage? xfce4-datetime? Something else?

The vertical panel handling has issues in 4.6. Some of it is being re-written for 4.8.
Comment 2 Pavel Alexeev 2009-07-06 02:49:15 EDT
(In reply to comment #1)
> Which of the various date/time plugins is that? Orage? xfce4-datetime?
> Something else?
I think it is xfce4-datetime. "About" I don't find in them, but help point me to http://goodies.xfce.org/projects/panel-plugins/xfce4-datetime-plugin

> The vertical panel handling has issues in 4.6. Some of it is being re-written
> for 4.8.  
Hm. This is long-term. Do you known any workaround now? Is there upstream bug?
Comment 3 Kevin Fenzi 2009-07-13 16:13:36 EDT
Yeah, all I can find off hand upsteam is: 
http://bugzilla.xfce.org/show_bug.cgi?id=3888

Would you be willing to file an upstream bug on the general issue? 
Or would you like me to? 

Have you tried to adjust the panel width until it looks ok?
Comment 4 Pavel Alexeev 2009-07-14 07:08:27 EDT
(In reply to comment #3)
> Yeah, all I can find off hand upsteam is: 
> http://bugzilla.xfce.org/show_bug.cgi?id=3888
I think this is not relly main problem. There only its child, as I can understand.

> Would you be willing to file an upstream bug on the general issue? 
> Or would you like me to?
I'm highly appreciate if you do that. But can do it himself, if you wish.

> Have you tried to adjust the panel width until it looks ok?
Off course! If I increase width of panel, it also proportionally increase square of each button! As minimum it is not I'm willing. Additional, in big width value, when desired widget can be placed on panel without mangle, panel height with zoomed button take dimension, when leave screen bound! I think it is another bug too - also not checked anything, just desired widget from now absolutely disappeared and unaccessible!
Comment 5 Kevin Fenzi 2009-07-23 17:57:18 EDT
http://bugzilla.xfce.org/show_bug.cgi?id=5606
filed. Feel free to add comments there.
Comment 6 Kevin Fenzi 2009-09-24 14:11:22 EDT
Upstream doesn't see any way to fix this up that they are willing to implement it seems. 

Sorry.

Note You need to log in before you can comment on or make changes to this bug.